package cn.com.poc.thirdparty.resource.demand.ai.entity.orc.minerU;

import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.lang.reflect.Array;

/**
 * @Author：Roger Wu
 * @name：MinerUOcrResponse
 * @Date：2025-10-30 2:22
 */
public class MinerUOcrResponse {

    private File file;
    private String output_dir;
    private Array lang_list;
    private String backend;
    private String parse_method;
    private String formula_enable;
    private String table_enable;
    private String server_url;
    private String return_md;
    private String return_middle_json;
    private String return_model_output;
    private String return_content_list;
    private String return_images;
    private String response_format_zip;
    private Integer start_page_id;
    private Integer end_page_id;

    public File getFile() {
        return file;
    }

    public void setFile(File file) {
        this.file = file;
    }

    public String getOutput_dir() {
        return output_dir;
    }

    public void setOutput_dir(String output_dir) {
        this.output_dir = output_dir;
    }

    public Array getLang_list() {
        return lang_list;
    }

    public void setLang_list(Array lang_list) {
        this.lang_list = lang_list;
    }

    public String getBackend() {
        return backend;
    }

    public void setBackend(String backend) {
        this.backend = backend;
    }

    public String getParse_method() {
        return parse_method;
    }

    public void setParse_method(String parse_method) {
        this.parse_method = parse_method;
    }

    public String getFormula_enable() {
        return formula_enable;
    }

    public void setFormula_enable(String formula_enable) {
        this.formula_enable = formula_enable;
    }

    public String getTable_enable() {
        return table_enable;
    }

    public void setTable_enable(String table_enable) {
        this.table_enable = table_enable;
    }

    public String getServer_url() {
        return server_url;
    }

    public void setServer_url(String server_url) {
        this.server_url = server_url;
    }

    public String getReturn_md() {
        return return_md;
    }

    public void setReturn_md(String return_md) {
        this.return_md = return_md;
    }

    public String getReturn_middle_json() {
        return return_middle_json;
    }

    public void setReturn_middle_json(String return_middle_json) {
        this.return_middle_json = return_middle_json;
    }

    public String getReturn_model_output() {
        return return_model_output;
    }

    public void setReturn_model_output(String return_model_output) {
        this.return_model_output = return_model_output;
    }

    public String getReturn_content_list() {
        return return_content_list;
    }

    public void setReturn_content_list(String return_content_list) {
        this.return_content_list = return_content_list;
    }

    public String getReturn_images() {
        return return_images;
    }

    public void setReturn_images(String return_images) {
        this.return_images = return_images;
    }

    public String getResponse_format_zip() {
        return response_format_zip;
    }

    public void setResponse_format_zip(String response_format_zip) {
        this.response_format_zip = response_format_zip;
    }

    public Integer getStart_page_id() {
        return start_page_id;
    }

    public void setStart_page_id(Integer start_page_id) {
        this.start_page_id = start_page_id;
    }

    public Integer getEnd_page_id() {
        return end_page_id;
    }

    public void setEnd_page_id(Integer end_page_id) {
        this.end_page_id = end_page_id;
    }
}
